package com.thinker.bishi.xiaomi;

import java.util.Scanner;

/**
 * @author lzh
 */
public class JuziFanZhuan {
    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        String[] strIn = in.nextLine().split(" ");
        for(int i=strIn.length-1;i>=0;i--){
            System.out.print(strIn[i]+" ");
        }

    }
}
